<template>
    <section class="h-100 h-custom" style="background-color: #8fc4b7;">
        <div class="container py-5 h-100">
          <div class="row d-flex justify-content-center align-items-center h-100">
            <div class="col-lg-8 col-xl-6">
              <div class="card rounded-3">
                <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-registration/img3.webp"
                  class="w-100" style="border-top-left-radius: .3rem; border-top-right-radius: .3rem;"
                  alt="Sample photo">
                <div class="card-body p-4 p-md-5">
                  <h3 class="mb-4 pb-2 pb-md-0 mb-md-5 px-md-2">Registration Info</h3>
      
                  <form :model="signUpRequest" class="px-md-2">
                    
                        <div class="box-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="fname">First Name</label>
                                        <input type="text" class="form-control required" v-model="signUpRequest.name" id="fname" name="fname" maxlength="128">
                                    </div>

                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="email">Second Name</label>
                                        <input type="text" v-model="signUpRequest.fname" class="form-control required email" id="email" name="email"
                                            maxlength="128">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="password">Address</label>
                                        <input type="text" v-model="signUpRequest.address" class="form-control required email" id="email" name="email"
                                            maxlength="128">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="cpassword">Email</label>
                                        <input type="email" v-model="signUpRequest.email" class="form-control required equalTo" id="cpassword" name="cpassword" maxlength="20">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="mobile">Password</label>
                                        <input type="password"  v-model="signUpRequest.password" class="form-control required digits" id="mobile" minlength="10"  name="mobile"
                                            maxlength="10">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="role">Phone</label>
                                        <input type="text" v-model="signUpRequest.phone" class="form-control required digits" id="mobile"  name="mobile"
                                            maxlength="10">
                                    </div>
                                </div>
                            </div>
                            &nbsp;
                            <div>
                                <button type="submit" style="color: black" @click.prevent="addSubmit" class="btn btn-success btn-lg mb-1">Submit</button>
                                &nbsp;
                                <button type="reset" style="color: black" class="btn btn-danger btn-lg mb-1">Cancel</button>
                            </div>
                           
                        </div>
                  </form>
      
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
</template>
<script>
import { POST_UTILISATEUR } from '../api/api.js'
export default{
    data(){
        return{
            signUpRequest: {
                name: "",
                fname:"",
                address:"",
                email:"",
                phone:"",
                password:"",
                image:"image.png",
                role_id: 1
            },
            apiresponse:{
        success: false,
        message: '',
      }
        }
    },
    methods:{
    addSubmit: function () {
        console.log("starting");
						POST_UTILISATEUR(JSON.parse(JSON.stringify(this.signUpRequest))).then((res) => {
                           
                            console.log("data: " + res);
                            this.$router.push({ path: "/login" });
                            console.log("message: " + this.apiresponse.message);
                            
						}).catch(e => {
							console.log(e);
						
						});
					}
    }
}
</script>

<style>
@media (min-width: 1025px) {
    .h-custom {
    height: 100vh !important;
    }
    }
</style>